# Uses of Interface
com.sun.source.tree.ModifiersTree

Packages that use ModifiersTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ModifiersTree in com.sun.source.tree

Methods in com.sun.source.tree that return ModifiersTree
Modifier and Type
Method
Description
`ModifiersTree`
ClassTree.`getModifiers()`
Returns the modifiers, including any annotations, for this type declaration.
`ModifiersTree`
MethodTree.`getModifiers()`
Returns the modifiers, including any annotations for the method being declared.
`ModifiersTree`
VariableTree.`getModifiers()`
Returns the modifiers, including any annotations, on the declaration.
Methods in com.sun.source.tree with parameters of type ModifiersTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitModifiers(ModifiersTree node, P p)`
Visits a ModifiersTree node.

## Uses of ModifiersTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ModifiersTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitModifiers(ModifiersTree node, P p)`
Visits a ModifiersTree node.
`R`
TreeScanner.`visitModifiers(ModifiersTree node, P p)`
Visits a ModifiersTree node.